Loading...
Searching...
No Matches
BALL::VIEW::ShortcutTableView Class Reference

`#include <BALL/VIEW/WIDGETS/shortcutTableView.h>`

Inheritance diagram for BALL::VIEW::ShortcutTableView:

## Signals

void | shortcutChanged ()

## Public Member Functions

| ShortcutTableView (QWidget *parent)
virtual | ~ShortcutTableView ()
void | setFilter (const QString &filter)

## Protected Slots

void | editSuccess_ ()
void | onClick (const QModelIndex &index)

## Detailed Description

Definition at line 22 of file shortcutTableView.h.

## Constructor & Destructor Documentation

## ShortcutTableView()

BALL::VIEW::ShortcutTableView::ShortcutTableView | ( | QWidget * | parent | ) |

## ~ShortcutTableView()

virtual BALL::VIEW::ShortcutTableView::~ShortcutTableView | ( |  | ) |

virtual

## Member Function Documentation

## editSuccess_

void BALL::VIEW::ShortcutTableView::editSuccess_ | ( |  | ) |

protected slot

## onClick

void BALL::VIEW::ShortcutTableView::onClick | ( | const QModelIndex & | index | ) |

protected slot

## setFilter()

void BALL::VIEW::ShortcutTableView::setFilter | ( | const QString & | filter | ) |

## shortcutChanged

void BALL::VIEW::ShortcutTableView::shortcutChanged | ( |  | ) |

signal